package edu.travel.order.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.order.entity.ShopOrder;
import edu.travel.remote.dto.AddReviewDto;
import edu.travel.remote.dto.ShowOrderInfoDto;
import edu.travel.remote.vo.ShowOrderInfoVo;

import java.util.List;

public interface ShopOrderService extends IService<ShopOrder> {


    Page<ShowOrderInfoVo> showOrderInfo(ShowOrderInfoDto params);

    String addOrder(List<AddReviewDto> params);
}
